org.restlet.engine.http

## Class WebDavProtocolHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.ProtocolHelper
    - - org.restlet.engine.http.WebDavProtocolHelper

    public class WebDavProtocolHelper
    extends ProtocolHelper

Protocol helper for the WEBDAV protocol.

Author:
  Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`WebDavProtocolHelper()`

### Method Summary

Methods
`void` `registerMethods()` Register all supported methods.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebDavProtocolHelper

    public WebDavProtocolHelper()

### Method Detail

#### registerMethods

    public void registerMethods()

Description copied from class: `ProtocolHelper`
Register all supported methods. The implementation relies on the `Method.register(org.restlet.data.Method)` method.

Specified by:
  `registerMethods` in class `ProtocolHelper`